"use client";

import { useEffect } from "react";
import { usePathname, useRouter } from "next/navigation";
import { useSession } from "next-auth/react";

export function AuthStateSync() {
  const { data: session, status, update } = useSession();
  const router = useRouter();
  const pathname = usePathname();

  useEffect(() => {
    // 当状态从"loading"变为"authenticated"时，强制刷新路由
    if (status === "authenticated" && session?.user) {
      router.refresh();
    }
  }, [status, session]);

  return null;
}
